Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Interface DeploymentMBean

All Superinterfaces:
  ConfigurationMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

All Known Subinterfaces:
  ClassDeploymentMBean, ComponentMBean, ConnectorComponentMBean, ContextCaseMBean, EJBComponentMBean, ForeignJMSServerMBean, HTTPProxyMBean, JDBCConnectionPoolMBean, JDBCDataSourceMBean, JDBCMultiPoolMBean, JDBCTxDataSourceMBean, JMSConnectionFactoryMBean, JMSDistributedDestinationMBean, JMSDistributedQueueMBean, JMSDistributedTopicMBean, JMSServerMBean, JMSVirtualDestinationMBean, JoltConnectionPoolMBean, MailSessionMBean, MessagingBridgeMBean, MinThreadsConstraintMBean, NetworkChannelMBean, PathServiceMBean, RMCFactoryMBean, ShutdownClassMBean, StartupClassMBean, VirtualDestinationMBean, VirtualHostMBean, WebAppComponentMBean, WebDeploymentMBean, WebServerMBean, WebServiceComponentMBean, WLECConnectionPoolMBean, WTCServerMBean

public interface DeploymentMBean
extends ConfigurationMBean

A Deployment is any MBean that may be deployed on one or more targets, such as a Component, a Web Server personality, a JMS Front-end or back-end or a JDBC connection pool. A deployment has targets, which specify which servers the deployment should be deployed on. Assigning the targets on a deployment will cause the deployment to get deployed on those targets. If the targets overlap, the deployment will only be deployed once. For example, if a deployment is deployed both on a cluster C and on a server S that is a member of that cluster, the deployment will be deployed on S only once. Simply adding or removing a target will not affect the deployment state for this deployment. The user must explicitly activate or deactivate the deployment. Certain types of deployments, ComponentMBeans, behave slightly differently. Please refer to their documentation for more information.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `DEFAULT_ORDER` The default deployment order.
`static int` | `MAX_ORDER` The maximum value for a deployment order.
`static int` | `MIN_ORDER` The minimum value for a deployment order.

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`boolean` | `addTarget(TargetMBean target)` You can add a target to specify additional servers on which the deployment can be deployed.
`int` | `getDeploymentOrder()` A priority that the server uses to determine when it deploys an item.
`TargetMBean[]` | `getTargets()` You must select a target on which an MBean will be deployed from this list of the targets in the current domain on which this item can be deployed.
`boolean` | `removeTarget(TargetMBean target)` Removes the value of the addTarget attribute.
`void` | `setDeploymentOrder(int order)` Sets the value of the DeploymentOrder attribute.
`void` | `setTargets(TargetMBean[] Targets)` Sets the value of the getTargets attribute.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getName, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Field Detail

### DEFAULT_ORDER

    public static final int DEFAULT_ORDER

  The default deployment order. This is a midrange value.

  See Also:
    Constant Field Values

### MAX_ORDER

    public static final int MAX_ORDER

  The maximum value for a deployment order. This represents the lowest priority in terms of deployment.

  See Also:
    Constant Field Values

### MIN_ORDER

    public static final int MIN_ORDER

  The minimum value for a deployment order. This represents the highest priority in terms of deployment.

  See Also:
    Constant Field Values

Method Detail

### addTarget

    public boolean addTarget(TargetMBean target)
                      throws InvalidAttributeValueException,
                             weblogic.management.DistributedManagementException

  You can add a target to specify additional servers on which the deployment can be deployed. The targets must be either clusters or servers.

  Parameters:
    `target` - The feature to be added to the Target attribute
  Returns:
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`
  A dynamic MBean attribute.

### getDeploymentOrder

    public int getDeploymentOrder()

  A priority that the server uses to determine when it deploys an item. The priority is relative to other deployable items of the same type.

  For example, the server prioritizes and deploys all EJBs before it prioritizes and deploys startup classes.

  Items with the lowest Deployment Order value are deployed first. There is no guarantee on the order of deployments with equal Deployment Order values. There is no guarantee of ordering across clusters.

  Returns:
    The deploymentOrder value
  Default value:
    DeploymentMBean.DEFAULT_ORDER
  Minimum value:
    DeploymentMBean.MIN_ORDER
  Maximum value:
    DeploymentMBean.MAX_ORDER
  A dynamic MBean attribute.

### getTargets

    public TargetMBean[] getTargets()

  You must select a target on which an MBean will be deployed from this list of the targets in the current domain on which this item can be deployed. Targets must be either servers or clusters. The deployment will only occur once if deployments overlap.

  Returns:
    The targets value

### removeTarget

    public boolean removeTarget(TargetMBean target)
                         throws InvalidAttributeValueException,
                                weblogic.management.DistributedManagementException

  Removes the value of the addTarget attribute.

  Parameters:
    `target` -
  Returns:
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`
  See Also:
    `addTarget(weblogic.management.configuration.TargetMBean)`
  A dynamic MBean attribute.

### setDeploymentOrder

    public void setDeploymentOrder(int order)

  Sets the value of the DeploymentOrder attribute.

  Parameters:
    `order` - The new deploymentOrder value
  See Also:
    `getDeploymentOrder()`

### setTargets

    public void setTargets(TargetMBean[] Targets)
                    throws InvalidAttributeValueException,
                           weblogic.management.DistributedManagementException

  Sets the value of the getTargets attribute.

  Parameters:
    `Targets` - The new targets value
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`
  See Also:
    `getTargets()`
  A dynamic MBean attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD